package lightcontainer.utils;

import java.io.*;

public class FileSender {
    private static final int DEFAULT_BUFFER=8000;
    private String path;

    public FileSender(String path) { this.path = path; }

    public boolean sendFile(String filename, OutputStream out) {
        BufferedInputStream bisFile = null;

        try {
            File f = new File(String.format("%s/%s", path, filename));
            long fileSize = f.length();
            if(f.exists()) {
                bisFile = new BufferedInputStream(new FileInputStream(f));

                //AES_GCM.encryptStream(bisFile, out, fileSize, "hyjFrdMJW6Pur8fiFueVrWKqwtnqAZmXEZPBAyBXp+o=", "e6H7xuw+PNrDppJCPLTKhg==");

                bisFile.close();
                return true;
            } else
                return false;
        } catch(IOException ex) {
            ex.printStackTrace();
            return false;
        }
    }
}